summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorStefan <mu.stefan@googlemail.com>2016-03-20 15:21:56 +0100
committerStefan <mu.stefan@googlemail.com>2016-03-20 15:21:56 +0100
commit2a81d2a57803b5ac1ff9f7c108dc619aa050f352 (patch)
treebdb00c66ce86ca4e34dc1a088a6b76e17ab70c29 /bin
parent18d583d92d87827b93cd0afa84ce212cd179672c (diff)
downloadetherpad-lite-2a81d2a57803b5ac1ff9f7c108dc619aa050f352.zip
Remove support for io.js
Diffstat (limited to 'bin')
-rwxr-xr-xbin/installDeps.sh10
1 files changed, 2 insertions, 8 deletions
diff --git a/bin/installDeps.sh b/bin/installDeps.sh
index 04aa0e53..2e1d465d 100755
--- a/bin/installDeps.sh
+++ b/bin/installDeps.sh
@@ -48,15 +48,9 @@ NODE_VERSION=$(node --version)
NODE_V_MINOR=$(echo $NODE_VERSION | cut -d "." -f 1-2)
NODE_V_MAIN=$(echo $NODE_VERSION | cut -d "." -f 1)
NODE_V_MAIN=${NODE_V_MAIN#"v"}
-#iojs version checking added
-if hash iojs 2>/dev/null; then
- IOJS_VERSION=$(iojs --version)
-fi
if [ ! $NODE_V_MINOR = "v0.10" ] && [ ! $NODE_V_MINOR = "v0.11" ] && [ ! $NODE_V_MINOR = "v0.12" ] && [ ! $NODE_V_MAIN -gt 4 ]; then
- if [ ! $IOJS_VERSION ]; then
- echo "You're running a wrong version of node, or io.js is not installed. You're using $NODE_VERSION, we need node v0.10.x or higher" >&2
- exit 1
- fi
+ echo "You're running a wrong version of node. You're using $NODE_VERSION, we need node v0.10.x or higher" >&2
+ exit 1
fi
#Get the name of the settings file